%define upstream_name    WWW-UsePerl-Journal
%define upstream_version 0.26

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Use.perl.org journal entry
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(IO::File)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::Piece)
BuildRequires: perl(Time::Seconds)
BuildArch: noarch

%description
An all round journal tool for use.perl addicts. Will access journal entries
for a specific user, or the latest 30 postings, or retrieve a specific
journal entry. Can also post into a specific user's journal.

Note that as on late 2010 use.perl was decommissioned. A read-only version
of the site now exists on the perl.org servers, and a full database backup
is also available if you wish to host your own use.perl archive.

A future edition of this distribution will allow a DBI interface to a local
database to retrieve journal entries.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes META.yml META.json README LICENSE
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.260.0-4pclos2017
- rebuild against updates

